Skip to main content
`Ctrl`+`K`

# TSAdaptGetScaleSolveFailed

Gets the admissible decrease/increase factor in step size

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetScaleSolveFailed(TSAdapt adapt, PetscReal *scale)

Not Collective

## Input Parameter

- adapt - adaptive controller context

## Output Parameter

- scale - scale factor

## See Also

TS: Scalable ODE and DAE Solvers, Error control via variable time-stepping, `TSAdapt`, `TSAdaptChoose()`, `TSAdaptSetScaleSolveFailed()`, `TSAdaptSetClip()`

## Level

intermediate

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages